<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:01 CET 2009 -->
<TITLE>
DefaultIntIntMap
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.ints.DefaultIntIntMap class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultIntIntMap";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultIntIntMap.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/BitSetIntSet.html" title="class in ch.javasoft.util.ints"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/ints/DefaultIntIntMap.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultIntIntMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_ch.javasoft.util.ints.AbstractIntIntMap">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.ints</FONT>
<BR>
Class DefaultIntIntMap</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html" title="class or interface in java.util">java.util.AbstractMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.AbstractIntIntMap</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.ints.DefaultIntIntMap</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A>, <A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.52"><B>DefaultIntIntMap</B></A><DT>extends <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A><DT>implements <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A></DL>
</PRE>

<P>
<code>DefaultIntIntMap</code> is an mutable mapping from int to int. It is 
 implemented with two lists for keys and values, and the key list is sorted.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../serialized-form.html#ch.javasoft.util.ints.DefaultIntIntMap">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_ch.javasoft.util.ints.AbstractIntIntMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.ImmutableIntIntEntry.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap.ImmutableIntIntEntry</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.SimpleIntIntEntry.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap.SimpleIntIntEntry</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_ch.javasoft.util.ints.IntIntMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.IntIntEntry.html" title="interface in ch.javasoft.util.ints">IntIntMap.IntIntEntry</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_ch.javasoft.util.ints.IntMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntMap.IntEntry.html" title="interface in ch.javasoft.util.ints">IntMap.IntEntry</A>&lt;<A HREF="../../../../ch/javasoft/util/ints/IntMap.IntEntry.html" title="type parameter in IntMap.IntEntry">V</A>&gt;</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_java.util.Map"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.Entry.html" title="class or interface in java.util">Map.Entry</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.Entry.html" title="class or interface in java.util">K</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.Entry.html" title="class or interface in java.util">V</A>&gt;</CODE></TD>
</TR>
</TABLE>
&nbsp;

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#DefaultIntIntMap()">DefaultIntIntMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for a new empty map</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#DefaultIntIntMap(ch.javasoft.util.ints.DefaultIntIntMap)">DefaultIntIntMap</A></B>(<A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html" title="class in ch.javasoft.util.ints">DefaultIntIntMap</A>&nbsp;copy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#DefaultIntIntMap(int)">DefaultIntIntMap</A></B>(int&nbsp;capacity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for a new empty map of the given initial capacity</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#DefaultIntIntMap(java.util.Map)">DefaultIntIntMap</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html" title="class in ch.javasoft.util.ints">DefaultIntIntMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#containsKey(int)">containsKey</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#containsValue(int)">containsValue</A></B>(int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#equals(java.lang.Object)">equals</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#getInt(int)">getInt</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the int value for the specified key, or throws a 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/NoSuchElementException.html" title="class or interface in java.util"><CODE>NoSuchElementException</CODE></A> otherwise</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="../../../../ch/javasoft/util/ints/IntIntMap.IntIntEntry.html" title="interface in ch.javasoft.util.ints">IntIntMap.IntIntEntry</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#intIntEntrySet()">intIntEntrySet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#isEmpty()">isEmpty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntSet.html" title="interface in ch.javasoft.util.ints">IntSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#keySet()">keySet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#put(int, int)">put</A></B>(int&nbsp;key,
       int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#putAll(ch.javasoft.util.ints.IntIntMap)">putAll</A></B>(<A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A>&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#remove(int)">remove</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#toKeyArray()">toKeyArray</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the keys as a sorted int array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#toValueArray()">toValueArray</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the values as an int array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#values()">values</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.ints.AbstractIntIntMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#containsKey(java.lang.Object)">containsKey</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#containsValue(java.lang.Object)">containsValue</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#entrySet()">entrySet</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#get(int)">get</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#get(java.lang.Object)">get</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#intEntrySet()">intEntrySet</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#put(java.lang.Integer, java.lang.Integer)">put</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#put(int, java.lang.Integer)">put</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#putAll(ch.javasoft.util.ints.IntMap)">putAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#putAll(java.util.Map)">putAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#remove(java.lang.Object)">remove</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.AbstractMap"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html" title="class or interface in java.util">AbstractMap</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html#toString()" title="class or interface in java.util">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.Map"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html#hashCode()" title="class or interface in java.util">hashCode</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultIntIntMap()"><!-- --></A><H3>
DefaultIntIntMap</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.62"><B>DefaultIntIntMap</B></A>()</PRE>
<DL>
<DD>Constructor for a new empty map
<P>
</DL>
<HR>

<A NAME="DefaultIntIntMap(int)"><!-- --></A><H3>
DefaultIntIntMap</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.68"><B>DefaultIntIntMap</B></A>(int&nbsp;capacity)</PRE>
<DL>
<DD>Constructor for a new empty map of the given initial capacity
<P>
</DL>
<HR>

<A NAME="DefaultIntIntMap(ch.javasoft.util.ints.DefaultIntIntMap)"><!-- --></A><H3>
DefaultIntIntMap</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.73"><B>DefaultIntIntMap</B></A>(<A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html" title="class in ch.javasoft.util.ints">DefaultIntIntMap</A>&nbsp;copy)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntIntMap(java.util.Map)"><!-- --></A><H3>
DefaultIntIntMap</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.78"><B>DefaultIntIntMap</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;map)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getInt(int)"><!-- --></A><H3>
getInt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.121"><B>getInt</B></A>(int&nbsp;key)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html#getInt(int)">IntIntMap</A></CODE></B></DD>
<DD>Returns the int value for the specified key, or throws a 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/NoSuchElementException.html" title="class or interface in java.util"><CODE>NoSuchElementException</CODE></A> otherwise
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html#getInt(int)">getInt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key for which the value shall be returned
<DT><B>Returns:</B><DD>the value associated with the given key</DL>
</DD>
</DL>
<HR>

<A NAME="containsKey(int)"><!-- --></A><H3>
containsKey</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.130"><B>containsKey</B></A>(int&nbsp;key)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html#containsKey(int)">containsKey</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntMap.html#containsKey(int)">containsKey</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#containsKey(int)">containsKey</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="containsValue(int)"><!-- --></A><H3>
containsValue</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.134"><B>containsValue</B></A>(int&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html#containsValue(int)">containsValue</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isEmpty()"><!-- --></A><H3>
isEmpty</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.139"><B>isEmpty</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html#isEmpty()" title="class or interface in java.util">isEmpty</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#isEmpty()">isEmpty</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.144"><B>size</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html#size()" title="class or interface in java.util">size</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html" title="class or interface in java.util">AbstractMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="keySet()"><!-- --></A><H3>
keySet</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/IntSet.html" title="interface in ch.javasoft.util.ints">IntSet</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.149"><B>keySet</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntMap.html#keySet()">keySet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html#keySet()" title="class or interface in java.util">keySet</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#keySet()">keySet</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="intIntEntrySet()"><!-- --></A><H3>
intIntEntrySet</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="../../../../ch/javasoft/util/ints/IntIntMap.IntIntEntry.html" title="interface in ch.javasoft.util.ints">IntIntMap.IntIntEntry</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.191"><B>intIntEntrySet</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html#intIntEntrySet()">intIntEntrySet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="values()"><!-- --></A><H3>
values</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.264"><B>values</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html#values()">values</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html#values()" title="class or interface in java.util">values</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#values()">values</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toKeyArray()"><!-- --></A><H3>
toKeyArray</H3>
<PRE>
public int[] <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.351"><B>toKeyArray</B></A>()</PRE>
<DL>
<DD>Returns the keys as a sorted int array. The key at position i corresponds
 to the value at position i as returned by <A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#toValueArray()"><CODE>toValueArray()</CODE></A>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a copy of the sorted key array</DL>
</DD>
</DL>
<HR>

<A NAME="toValueArray()"><!-- --></A><H3>
toValueArray</H3>
<PRE>
public int[] <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.360"><B>toValueArray</B></A>()</PRE>
<DL>
<DD>Returns the values as an int array. The value at position i corresponds
 to the key at position i as returned by <A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html#toKeyArray()"><CODE>toKeyArray()</CODE></A>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a copy of the value array</DL>
</DD>
</DL>
<HR>

<A NAME="equals(java.lang.Object)"><!-- --></A><H3>
equals</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.368"><B>equals</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html" title="class or interface in java.util">AbstractMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="put(int, int)"><!-- --></A><H3>
put</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.379"><B>put</B></A>(int&nbsp;key,
                   int&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html#put(int, int)">put</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="putAll(ch.javasoft.util.ints.IntIntMap)"><!-- --></A><H3>
putAll</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.393"><B>putAll</B></A>(<A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A>&nbsp;map)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html#putAll(ch.javasoft.util.ints.IntIntMap)">putAll</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html#putAll(ch.javasoft.util.ints.IntIntMap)">putAll</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.451"><B>clear</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html#clear()" title="class or interface in java.util">clear</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html" title="class or interface in java.util">AbstractMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="remove(int)"><!-- --></A><H3>
remove</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.458"><B>remove</B></A>(int&nbsp;key)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntMap.html#remove(int)">remove</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html" title="class in ch.javasoft.util.ints">DefaultIntIntMap</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntIntMap.html#line.469"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html#clone()" title="class or interface in java.util">clone</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html" title="class or interface in java.util">AbstractMap</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultIntIntMap.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/BitSetIntSet.html" title="class in ch.javasoft.util.ints"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/ints/DefaultIntIntMap.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultIntIntMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_ch.javasoft.util.ints.AbstractIntIntMap">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
